Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019043
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 03. Procurement managementminoralways2011-11-10 15:332017-07-24 17:16
ReporterpsanjuanView Statuspublic 
Assigned ToTriage Finance 
PriorityhighResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revisione7c3d311418a
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019043: Openbravo allows entering the same purchase order line info in the Good Receipt window more than once

DescriptionOpenbravo allows entering the same purchase order lines info in the Good Receipt window more than once
Steps To ReproduceCreate a purchase order.
Navigate to Goods Receipt window and create the header.
Click on the header button "Create Lines From". Select the purchase order already created.
Close the window.
Click on the header button "Create Lines From" once more. Select the purchase order already created once more.

You can repeat this action as many time as you want without any warning.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0019797 newTriage Finance Create Lines From should be change with a new P&E button 
has duplicate defect 0024329 closeddmiguelez Goods Receipt accpeting excess quantity than purchase order quantity. 
related to defect 0022751 closeddmiguelez Revert changes made when fixing Issue 19043. 

-  Notes
(0054069)
pramakrishnan (developer)
2012-11-07 11:27

Test Plan 1:
Login as Openbravo/openbravo

Create a purchase order:
"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA
"Document No":1000048

Create lines:
"Line":10
"Product":Alquiler de oficina
"Ordered Quantity":23

"Line":20
"Product":Electricidad
"Ordered Quantity":45

Book it.

Create a goods Receipt

"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA

click on "create lines from"
Select the order "1000048" from the order drop down

Select the line 10 and click ok

Now, click the create lines from button and select the same order from the order drop down
Notice that line 10 does not appear in the transaction list

Now, select the line 20 and change the quantity to 20 and click ok
Again click on create lines from button and select the same order
Notice that the quantity of the line 20 is reduced to 25

Now, select the line 20 and click ok
Again click on the create lines from button
Notice that the order 1000048 does not appear in the order drop down

Test Plan 2:
Create a purchase invoice:

"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA
"Document No":10000281

Create lines:
"Line":10
"Product":Sistemas de información
"Ordered Quantity":10

"Line":20
"Product":Telefonía
"Ordered Quantity":100

Complete it.

Create a goods Receipt

"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA

click on "create lines from"
Select the invoice "10000281" from the invoice drop down

Select the line 10 and click ok

Now, click the create lines from button and select the same invoice from the invoice drop down
Notice that line 10 does not appear in the transaction list

Now, select the line 20 and change the quantity to 20 and click ok
Again click on create lines from button and select the same invoice
Notice that the quantity of the line 20 is reduced to 80

Now, select the line 20 and click ok
Again click on the create lines from button
Notice that the invoice 10000281 does not appear in the invoice drop down

Test Plan 3:
Login as Openbravo/openbravo

Create a purchase order:
"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA
"Document No":1000048

Create lines:
"Line":10
"Product":Alquiler de oficina
"Ordered Quantity":23

"Line":20
"Product":Electricidad
"Ordered Quantity":45

Book it.

Create a purchase invoice

"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA

click on "create lines from"
Select the order "1000048" from the order drop down

Select the line 10 and click ok

Now, click the create lines from button and select the same order from the order drop down
Notice that line 10 does not appear in the transaction list

Now, select the line 20 and click ok
Again click on create lines from button
Notice that the order 1000048 does not appear in the order drop down

Test Plan 4:
Login as Openbravo/openbravo

Create a Goods Receipt:
"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA
"Document No":10000105

Create lines:
"Line":10
"Product":Alquiler de oficina
"Ordered Quantity":12

"Line":20
"Product":Electricidad
"Ordered Quantity":1

Complete it.

Create a purchase invoice

"Organization":F&B España - Región Norte
"Business Partner":Servicios Inmobiliarios Los mejores, SA

click on "create lines from"
Select the receipt "10000105" from the receipt drop down

Select the line 10 and click ok

Now, click the create lines from button and select the same receipt from the receipt drop down
Notice that line 10 does not appear in the transaction list

Now, select the line 20 and click ok
Again click on create lines from button
Notice that the receipt 10000105 does not appear in the receipt drop down
(0054224)
hgbot (developer)
2012-11-14 13:36

Repository: erp/devel/pi
Changeset: e7c3d311418ad471dd8fb28c6dd50f96196398ba
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Tue Oct 16 17:24:07 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e7c3d311418ad471dd8fb28c6dd50f96196398ba [^]

Fixes Issue 19043:Inserting lines more than once is possible in goods receipt

---
M src-db/database/model/triggers/M_INOUTLINE_TRG.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment_data.xsql
---
(0054235)
Sandrahuguet (developer)
2012-11-14 16:08

Code review + testing OK
(0054378)
hudsonbot (developer)
2012-11-21 06:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c3c5e61b0164 [^]

Maturity status: Test
(0055422)
hgbot (developer)
2013-01-09 16:22

Repository: erp/devel/pi
Changeset: 7c294fcd880f77a45ca01905b13455b39739a7e8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Jan 09 12:41:13 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7c294fcd880f77a45ca01905b13455b39739a7e8 [^]

Fixes Issue 22751. Revert changes made when fixing Issue 19043

---
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/model/triggers/M_INOUTLINE_TRG.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.html
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment_data.xsql
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0055424)
dmiguelez (developer)
2013-01-09 16:26

The fix for this Issue introduced a regression:
https://issues.openbravo.com/view.php?id=22751 [^]

It has been reverted.
(0055468)
hudsonbot (developer)
2013-01-10 20:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/67a6d258fb63 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-11-10 15:33 psanjuan New Issue
2011-11-10 15:33 psanjuan Assigned To => jonalegriaesarte
2011-11-10 15:33 psanjuan Modules => Core
2011-11-10 15:34 psanjuan Summary Openbravo allows entering the same purchase order lines info in the Good Receipt window more than once => Openbravo allows entering the same purchase order line info in the Good Receipt window more than once
2012-09-13 10:43 jonalegriaesarte Assigned To jonalegriaesarte => dmiguelez
2012-09-18 13:28 psanjuan Type design defect => defect
2012-10-11 09:51 pramakrishnan Assigned To dmiguelez => pramakrishnan
2012-10-11 09:51 pramakrishnan Status new => scheduled
2012-10-11 09:51 pramakrishnan fix_in_branch => pi
2012-11-07 11:27 pramakrishnan Note Added: 0054069
2012-11-14 13:36 hgbot Checkin
2012-11-14 13:36 hgbot Note Added: 0054224
2012-11-14 13:36 hgbot Status scheduled => resolved
2012-11-14 13:36 hgbot Resolution open => fixed
2012-11-14 13:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e7c3d311418ad471dd8fb28c6dd50f96196398ba [^]
2012-11-14 16:08 Sandrahuguet Note Added: 0054235
2012-11-14 16:08 Sandrahuguet Status resolved => closed
2012-11-21 06:06 hudsonbot Checkin
2012-11-21 06:06 hudsonbot Note Added: 0054378
2013-01-09 12:40 dmiguelez Relationship added related to 0022751
2013-01-09 16:22 hgbot Checkin
2013-01-09 16:22 hgbot Note Added: 0055422
2013-01-09 16:26 dmiguelez Assigned To pramakrishnan => dmiguelez
2013-01-09 16:26 dmiguelez Note Added: 0055424
2013-01-09 16:26 dmiguelez Status closed => new
2013-01-09 16:26 dmiguelez Resolution fixed => open
2013-01-09 16:26 dmiguelez Triggers an Emergency Pack => No
2013-01-09 16:26 dmiguelez Type defect => design defect
2013-01-09 16:26 dmiguelez fix_in_branch pi =>
2013-01-10 20:31 hudsonbot Checkin
2013-01-10 20:31 hudsonbot Note Added: 0055468
2016-05-30 18:48 ngarcia Issue Monitored: ngarcia
2016-05-30 18:50 ngarcia Relationship added has duplicate 0024329
2017-07-24 17:16 ngarcia Assigned To dmiguelez => Triage Finance
2017-07-24 17:16 ngarcia Relationship added related to 0019797


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker